imagecolorsforindex
imagecolortransparent
GD and Image Functions
PHP Manual

# imagecolorstotal

(PHP 4, PHP 5)

imagecolorstotal — Find out the number of colors in an image's palette

### Description

int imagecolorstotal ( resource `$image` )

Returns the number of colors in an image palette.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatefromgif().

### Return Values

Returns the number of colors in the specified image's palette or 0 for truecolor images.

### Examples

Example #1 Getting total number of colors in an image using imagecolorstotal()

`<?php
// Create image instance
$im = imagecreatefromgif('php.gif');
echo 'Total colors in image: ' . imagecolorstotal($im);
// Free image
imagedestroy($im);
?>`

The above example will output something similar to:

    Total colors in image: 128

### See Also

- imagecolorat() - Get the index of the color of a pixel
- imagecolorsforindex() - Get the colors for an index
- imageistruecolor() - Finds whether an image is a truecolor image

imagecolorsforindex
imagecolortransparent
GD and Image Functions
PHP Manual